wake-up-neo.com

fehler: Die native TensorFlow-Laufzeit konnte nicht geladen werden

ich bin neu in Tensorflow, heute habe ich Tensorflow installiert mit:

C:\>pip3 install --upgrade tensorflow
Collecting tensorflow
  Using cached tensorflow-1.2.0-cp35-cp35m-win_AMD64.whl
Requirement already up-to-date: bleach==1.5.0 in c:\python35\lib\site-packages (
from tensorflow)
Requirement already up-to-date: werkzeug>=0.11.10 in c:\python35\lib\site-packag
es (from tensorflow)
Requirement already up-to-date: html5lib==0.9999999 in c:\python35\lib\site-pack
ages (from tensorflow)
Requirement already up-to-date: protobuf>=3.2.0 in c:\python35\lib\site-packages
 (from tensorflow)
Requirement already up-to-date: backports.weakref==1.0rc1 in c:\python35\lib\sit
e-packages (from tensorflow)
Requirement already up-to-date: markdown==2.2.0 in c:\python35\lib\site-packages
 (from tensorflow)
Requirement already up-to-date: numpy>=1.11.0 in c:\python35\lib\site-packages (
from tensorflow)
Requirement already up-to-date: six>=1.10.0 in c:\python35\lib\site-packages (fr
om tensorflow)
Requirement already up-to-date: wheel>=0.26 in c:\python35\lib\site-packages (fr
om tensorflow)
Requirement already up-to-date: setuptools in c:\python35\lib\site-packages (fro
m protobuf>=3.2.0->tensorflow)
Installing collected packages: tensorflow
Successfully installed tensorflow-1.2.0

wenn ich versuchte Tensorflow zu importieren, wirft es:

C:\>python
Python 3.5.2 (v3.5.2:4def2a2901a5, Jun 25 2016, 22:18:55) [MSC v.1900 64 bit (AM
D64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import tensorflow as tf
Traceback (most recent call last):
  File "C:\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_intern
al.py", line 18, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Python35\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 986, in _gcd_import
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 666, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 577, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 906, in create_module
  File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", l
ine 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_intern
al.py", line 21, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_intern
al.py", line 20, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Python35\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ImportError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Python35\lib\site-packages\tensorflow\__init__.py", line 24, in <modu
le>
    from tensorflow.python import *
  File "C:\Python35\lib\site-packages\tensorflow\python\__init__.py", line 49, i
n <module>
    from tensorflow.python import pywrap_tensorflow
  File "C:\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", l
ine 52, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "C:\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_intern
al.py", line 18, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Python35\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 986, in _gcd_import
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 666, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 577, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 906, in create_module
  File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", l
ine 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_intern
al.py", line 21, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_intern
al.py", line 20, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Python35\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ImportError: No module named '_pywrap_tensorflow_internal'


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/install_sources#common_installation_probl
ems

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.
>>>

ich verwende Python 3.5.2 64bit. Ich weiß nicht wirklich, warum der Importprozess einen Fehler auslöst. Bitte helfen Sie mir, Gurus

danke und beste Grüße

5
galih

Deinstalliere zuerst das 

pip uninstall tensorflow

Nun zur Neuinstallation Laden Sie diese tensorflow wheel Datei herunter

Installieren Sie dies mit (in demselben Verzeichnis)

pip install tensorflow-1.6.0-cp36-cp36m-win_AMD64.whl
4
Umer

Ein ähnliches Problem trat bei mir auf. Ich benutze Windows 8.1 (64 bit) Betriebssystem und Python 3.6.2 (64 bit).

Ich habe das Problem durch die Installation von Visual C++ Redistributable for Visual Studio 2015 (vc_redist.x64.exe) aus vc_redist.x64.exe gelöst.

3
arsho

Ich hatte heute das gleiche Problem und habe alle Ratschläge hier sowie viele andere Quellen im Internet und aus meinem eigenen Kopf befolgt. Keiner von ihnen hat gearbeitet. 

Ich hatte tf 1.2.0 installiert und hatte kein Problem beim Importieren

pip3 install --upgrade tensorflow==1.2.0

Weiter fand ich heraus, dass alle Versionen gut importieren, bis 1.6.0., Also gehe ich mit 1.5.0 . Derzeit ist die neueste Version 1.7.0.

1

mein arbeitete nach dieser Codezeile pip install tensorflow --upgrade --force-reinstall 

1
Anil Sah
  1. gehe zu [ https://github.com/fo40225/tensorflow-windows-wheel ][1]
  2. basierend auf auf Python- und Cuda-Version kopieren Sie einen Pfad (ich habe .__ verwendet. Compiler: VS2017 15.8, CUDA: NO, SIMD: x86_64 und das hat für mich funktioniert)

  3. füge es nach https://github.com/fo40225/tensorflow-windows-wheel/blob/master/ ein

  4. * .whl herunterladen

  5. Öffnen Sie Anaconda und wechseln Sie in das Verzeichnis von * .whl

  6. führen Sie den folgenden Befehl aus: pip install *.whl (anstelle von * muss der Name .__ der .whl-Datei verwendet werden)

0
MRDM

laden Sie einfach MSVCP140.dll herunter, entpacken Sie es und fügen Sie es in den Ordner system32 ein.

0
E LAC SOFT

Achten Sie auf den CUDA-Betrieb, da genau dieser Fehler gemeldet wird, wenn CUDA überhaupt nicht funktioniert. Versuchen Sie es von cmd, z. c:\Programme\NVIDIA GPU Computing Toolkit\CUDA\v8.0\extras\demo_suite> oceanFFT.exe
Falls dies fehlschlägt, versuchen Sie, den Treiber (Gerätemanager/Grafikkarten/NVIDIA ...) Ihrer Grafikkarte zu aktualisieren.

0
Andy Lucny

Ich hatte einen ähnlichen Fehler unter OSX Siera, als ich Tensorflow durch Pip auf Python 3.6 installierte. Es wurde mithilfe der binary URL behoben, die das TensorFlow-Python-Paket identifiziert 

Sudo pip3 install --upgrade tfBinaryURL   # Python 3.n

in meinem Fall ist tfBinaryURL wie folgt:

Sudo pip3 install --upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-1.3.0-py3-none-any.whl
0
Anthony Awuley

1) Ich habe folgendes getan: pip uninstall tensorflow
2) Die Datei wurde heruntergeladen von: tensorflow wheel
3) Dann tat dies: pip install tensorflow-1.6.0-cp36-cp36m-win_AMD64.whl

ABER es gab mir diesen Fehler

FEHLER: tensorflow-1.6.0-cp36-cp36m-win_AMD64.whl ist kein unterstütztes Rad auf dieser Plattform.

also habe ich versucht, Tensorflow als Abhängigkeit in meinem installierten Anaconda Navigator zu installieren
UND ES ARBEITETE FÜR MICH!

0
eaithy